petsc-3.10.5 2019-03-28
Report Typos and Errors

# PetscObjectSetTabLevel

Sets the number of tabs that ASCII output for that object use

### Synopsis

    #include "petscsys.h"
    PetscErrorCode  PetscObjectSetTabLevel(PetscObject obj,PetscInt tab)

Not Collective

### Input Parameters

| obj | - any PETSc object, for example a Vec, Mat or KSP. Thus must be cast with a (PetscObject), for example, PetscObjectGetComm((PetscObject)mat,&comm);
| tab | - the number of tabs

### Notes

this is used to manage the output from options that are imbedded in other objects. For example the KSP object inside a SNES object. By indenting each lower level further the heirarchy of objects is very clear.

### See Also

PetscObjectIncrementTabLevel()

### Level

developer

### Location

src/sys/objects/gcomm.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages